Bug 253856 - (CVE-2007-4134) CVE-2007-4134 star directory traversal vulnerability
CVE-2007-4134 star directory traversal vulnerability
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 254128 254129 254130 254131 254132 254133 254134
  Show dependency treegraph
Reported: 2007-08-22 09:26 EDT by Tomas Hoger
Modified: 2010-02-16 00:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-07 08:01:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch propsed by upstream. (278 bytes, patch)
2007-08-22 09:29 EDT, Tomas Hoger
no flags Details | Diff

  None (edit)
Description Tomas Hoger 2007-08-22 09:26:00 EDT
A directory traversal vulnerability has been discovered in star.  Directory
traversal check implemented in has_dotdot() function in extract.c does not
correctly handle paths which have '/' character doubled, e.g. 'dir//..//..//'.

More info:



Red Hat would like to thank Robert Buchholz for reporting this issue.
Comment 1 Tomas Hoger 2007-08-22 09:29:21 EDT
Created attachment 162052 [details]
Patch propsed by upstream.
Comment 6 Tomas Hoger 2007-08-30 02:58:41 EDT
Another CVE name - CVE-2007-4558 - was assigned by Mitre to this issue on
Comment 8 Tomas Hoger 2007-08-31 03:55:27 EDT
CVE-2007-4558 rejected as duplicate of CVE-2007-4134 on 2007-08-30.
Comment 11 Tomas Hoger 2008-01-07 08:01:36 EST
Fixed in all affected products:

Red Hat Enterprise Linux:  	

  updated to fixed upstream version 1.5a84

Note You need to log in before you can comment on or make changes to this bug.